Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## superwaba.ext.xplat.sql
Class Statement

    java.lang.Object
      |
      +--superwaba.ext.xplat.sql.Statement

Direct Known Subclasses:
  PreparedStatement

public abstract class Statement
extends Object

This interface provides a mechanism for executing SQL statements.

Field Summary
`static int` | `CLOSE_ALL_RESULTS`
`static int` | `CLOSE_CURRENT_RESULT`
`static int` | `EXECUTE_FAILED`
`static int` | `KEEP_CURRENT_RESULT`
`static int` | `NO_GENERATED_KEYS`
`static int` | `RETURN_GENERATED_KEYS`
`static int` | `SUCCESS_NO_INFO`

Constructor Summary
`Statement()`

Method Summary
`abstract void` | `addBatch(String sql)` This method adds a SQL statement to a SQL batch.
`abstract void` | `clearBatch()` This method clears out any SQL statements that have been populated in the current batch.
`abstract void` | `clearWarnings()` This method clears any SQL warnings that have been attached to this statement.
`abstract void` | `close()` This method closes the statement and frees any associated resources.
`abstract boolean` | `execute(String sql)` This method executes an arbitrary SQL statement of any time.
`abstract int[]` | `executeBatch()` This method executes the SQL batch and returns an array of update counts - one for each SQL statement in the batch - ordered in the same order the statements were added to the batch.
`abstract ResultSet` | `executeQuery(String sql)` This method executes the specified SQL SELECT statement and returns a (possibly empty) `ResultSet` with the results of the query.
`abstract int` | `executeUpdate(String sql)` This method executes the specified SQL INSERT, UPDATE, or DELETE statement and returns the number of rows affected, which may be 0.
`abstract Connection` | `getConnection()` This method returns the `Connection` instance that was used to create this object.
`abstract int` | `getFetchDirection()` This method returns the current direction that the driver thinks the result set will be accessed int.
`abstract int` | `getFetchSize()` This method returns the number of rows the driver believes should be fetched from the database at a time.
`abstract int` | `getMaxFieldSize()` This method returns the maximum length of any column value in bytes.
`abstract int` | `getMaxRows()` This method returns the maximum possible number of rows in a result set.
`abstract boolean` | `getMoreResults()` This method advances the result set pointer to the next result set, which can then be retrieved using `getResultSet`
`abstract int` | `getQueryTimeout()` The method returns the number of seconds a statement may be in process before timing out.
`abstract ResultSet` | `getResultSet()` This method returns the result set of the SQL statement that was executed.
`abstract int` | `getResultSetConcurrency()` This method returns the concurrency type of the result set for this statement.
`abstract int` | `getResultSetType()` This method returns the result set type for this statement.
`abstract int` | `getUpdateCount()` This method returns the update count of the SQL statement that was executed.
`abstract SQLWarning` | `getWarnings()` This method returns the first SQL warning attached to this statement.
`abstract void` | `setCursorName(String name)` This method sets the cursor name that will be used by the result set.
`abstract void` | `setEscapeProcessing(boolean enable)` This method sets the local escape processing mode on or off.
`abstract void` | `setFetchDirection(int direction)` This method informs the driver which direction the result set will be accessed in.
`abstract void` | `setFetchSize(int rows)` This method informs the driver how many rows it should fetch from the database at a time.
`abstract void` | `setMaxFieldSize(int max)` This method sets the limit for the maximum length of any column in bytes.
`abstract void` | `setMaxRows(int max)` This method sets the maximum number of rows that can be present in a result set.
`abstract void` | `setQueryTimeout(int seconds)` This method sets the number of seconds a statement may be in process before timing out.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, toString, wait, wait`

Field Detail

### CLOSE_CURRENT_RESULT

    public static final int CLOSE_CURRENT_RESULT

### KEEP_CURRENT_RESULT

    public static final int KEEP_CURRENT_RESULT

### CLOSE_ALL_RESULTS

    public static final int CLOSE_ALL_RESULTS

### SUCCESS_NO_INFO

    public static final int SUCCESS_NO_INFO

### EXECUTE_FAILED

    public static final int EXECUTE_FAILED

### RETURN_GENERATED_KEYS

    public static final int RETURN_GENERATED_KEYS

### NO_GENERATED_KEYS

    public static final int NO_GENERATED_KEYS

Constructor Detail

### Statement

    public Statement()

Method Detail

### executeQuery

    public abstract ResultSet executeQuery(String sql)
                                    throws SQLException

  This method executes the specified SQL SELECT statement and returns a (possibly empty) `ResultSet` with the results of the query.
  Parameters:
    `sql` - The SQL statement to execute.
  Returns:
    The result set of the SQL statement.
  Throws:
    SQLException - If an error occurs.

### executeUpdate

    public abstract int executeUpdate(String sql)
                               throws SQLException

  This method executes the specified SQL INSERT, UPDATE, or DELETE statement and returns the number of rows affected, which may be 0.
  Parameters:
    `sql` - The SQL statement to execute.
  Returns:
    The number of rows affected by the SQL statement.
  Throws:
    SQLException - If an error occurs.

### close

    public abstract void close()
                        throws SQLException

  This method closes the statement and frees any associated resources.
  Throws:
    SQLException - If an error occurs.

### getMaxFieldSize

    public abstract int getMaxFieldSize()
                                 throws SQLException

  This method returns the maximum length of any column value in bytes.
  Returns:
    The maximum length of any column value in bytes.
  Throws:
    SQLException - If an error occurs.

### setMaxFieldSize

    public abstract void setMaxFieldSize(int max)
                                  throws SQLException

  This method sets the limit for the maximum length of any column in bytes.
  Parameters:
    `maxsize` - The new maximum length of any column in bytes.
  Throws:
    SQLException - If an error occurs.

### getMaxRows

    public abstract int getMaxRows()
                            throws SQLException

  This method returns the maximum possible number of rows in a result set.
  Returns:
    The maximum possible number of rows in a result set.
  Throws:
    SQLException - If an error occurs.

### setMaxRows

    public abstract void setMaxRows(int max)
                             throws SQLException

  This method sets the maximum number of rows that can be present in a result set.
  Parameters:
    `maxrows` - The maximum possible number of rows in a result set.
  Throws:
    SQLException - If an error occurs.

### setEscapeProcessing

    public abstract void setEscapeProcessing(boolean enable)
                                      throws SQLException

  This method sets the local escape processing mode on or off. The default value is on.
  Parameters:
    `escape` - `true` to enable local escape processing, `false` to disable it.
  Throws:
    SQLException - If an error occurs.

### getQueryTimeout

    public abstract int getQueryTimeout()
                                 throws SQLException

  The method returns the number of seconds a statement may be in process before timing out. A value of 0 means there is no timeout.
  Returns:
    The SQL statement timeout in seconds.
  Throws:
    SQLException - If an error occurs.

### setQueryTimeout

    public abstract void setQueryTimeout(int seconds)
                                  throws SQLException

  This method sets the number of seconds a statement may be in process before timing out. A value of 0 means there is no timeout.
  Parameters:
    `timeout` - The new SQL statement timeout value.
  Throws:
    SQLException - If an error occurs.

### getWarnings

    public abstract SQLWarning getWarnings()
                                    throws SQLException

  This method returns the first SQL warning attached to this statement. Subsequent warnings will be chained to this one.
  Returns:
    The first SQL warning for this statement.
  Throws:
    SQLException - If an error occurs.

### clearWarnings

    public abstract void clearWarnings()
                                throws SQLException

  This method clears any SQL warnings that have been attached to this statement.
  Throws:
    SQLException - If an error occurs.

### setCursorName

    public abstract void setCursorName(String name)
                                throws SQLException

  This method sets the cursor name that will be used by the result set.
  Parameters:
    `name` - The cursor name to use for this statement.
  Throws:
    SQLException - If an error occurs.

### execute

    public abstract boolean execute(String sql)
                             throws SQLException

  This method executes an arbitrary SQL statement of any time. The methods `getResultSet`, `getMoreResults` and `getUpdateCount` retrieve the results.
  Returns:
    `true` if a result set was returned, `false` if an update count was returned.
  Throws:
    SQLException - If an error occurs.

### getResultSet

    public abstract ResultSet getResultSet()
                                    throws SQLException

  This method returns the result set of the SQL statement that was executed. This should be called only once per result set returned.
  Returns:
    The result set of the query, or `null` if there was no result set (for example, if the statement was an UPDATE).
  Throws:
    SQLException - If an error occurs.
  See Also:
    `execute(java.lang.String)`

### getUpdateCount

    public abstract int getUpdateCount()
                                throws SQLException

  This method returns the update count of the SQL statement that was executed. This should be called only once per executed SQL statement.
  Returns:
    The update count of the query, or -1 if there was no update count (for example, if the statement was a SELECT).
  Throws:
    SQLException - If an error occurs.
  See Also:
    `execute(java.lang.String)`

### getMoreResults

    public abstract boolean getMoreResults()
                                    throws SQLException

  This method advances the result set pointer to the next result set, which can then be retrieved using `getResultSet`
  Returns:
    `true` if there is another result set, `false` otherwise (for example, the next result is an update count).
  Throws:
    SQLException - If an error occurs.
  See Also:
    `execute(java.lang.String)`

### setFetchDirection

    public abstract void setFetchDirection(int direction)
                                    throws SQLException

  This method informs the driver which direction the result set will be accessed in.
  Parameters:
    `direction` - The direction the result set will be accessed in (?????)
  Throws:
    SQLException - If an error occurs.

### getFetchDirection

    public abstract int getFetchDirection()
                                   throws SQLException

  This method returns the current direction that the driver thinks the result set will be accessed int.
  Returns:
    The direction the result set will be accessed in (????)
  Throws:
    SQLException - If an error occurs.

### setFetchSize

    public abstract void setFetchSize(int rows)
                               throws SQLException

  This method informs the driver how many rows it should fetch from the database at a time.
  Parameters:
    `numrows` - The number of rows the driver should fetch at a time to populate the result set.
  Throws:
    SQLException - If an error occurs.

### getFetchSize

    public abstract int getFetchSize()
                              throws SQLException

  This method returns the number of rows the driver believes should be fetched from the database at a time.
  Returns:
    The number of rows that will be fetched from the database at a time.
  Throws:
    SQLException - If an error occurs.

### getResultSetConcurrency

    public abstract int getResultSetConcurrency()
                                         throws SQLException

  This method returns the concurrency type of the result set for this statement. This will be one of the concurrency types defined in `ResultSet`.
  Returns:
    The concurrency type of the result set for this statement.
  Throws:
    SQLException - If an error occurs.
  See Also:
    `ResultSet`

### getResultSetType

    public abstract int getResultSetType()
                                  throws SQLException

  This method returns the result set type for this statement. This will be one of the result set types defined in `ResultSet`.
  Returns:
    The result set type for this statement.
  Throws:
    SQLException - If an error occurs.
  See Also:
    `ResultSet`

### addBatch

    public abstract void addBatch(String sql)
                           throws SQLException

  This method adds a SQL statement to a SQL batch. A driver is not required to implement this method.
  Parameters:
    `sql` - The sql statement to add to the batch.
  Throws:
    SQLException - If an error occurs.

### clearBatch

    public abstract void clearBatch()
                             throws SQLException

  This method clears out any SQL statements that have been populated in the current batch. A driver is not required to implement this method.
  Throws:
    SQLException - If an error occurs.

### executeBatch

    public abstract int[] executeBatch()
                                throws SQLException

  This method executes the SQL batch and returns an array of update counts - one for each SQL statement in the batch - ordered in the same order the statements were added to the batch. A driver is not required to implement this method.
  Returns:
    An array of update counts for this batch.
  Throws:
    SQLException - If an error occurs.

### getConnection

    public abstract Connection getConnection()
                                      throws SQLException

  This method returns the `Connection` instance that was used to create this object.
  Returns:
    The connection used to create this object.
  Throws:
    SQLException - If an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD